## python-heatclient 0.2.4

=== requirements.txt ===
pbr>=0.5.16,<0.6
argparse
httplib2
iso8601>=0.1.4
PrettyTable>=0.6,<0.8
python-keystoneclient>=0.3.0
PyYAML>=3.1.0

=== debian/changelog ===
python-heatclient (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Add build-depends on python-mock (>= 0.8.0), python-pbr (>= 0.5.20) and
    python-d2to1 (>= 0.2.11) (Closes: #724174).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 02:21:28 +0000

python-heatclient (0.2.3-1) unstable; urgency=low

  [ Thomas Goirand ]
  * New upstream release.
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * VCS fields now using canonical URLs.
  * Added build-depends: python-mimeparse (>= 0.1.4), python-testscenarios,
    python-yaml and testrepository.

  [ Prach Pongpanich ]
  * Dropped build-depends: python-nose.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2013 16:03:22 +0800

python-heatclient (0.2.2-3) unstable; urgency=low

  [ Prach Pongpanich ]
  * Drop dependency on python-argparse (Closes: #710718)

  [ Thomas Goirand ]
  * Make the drop of the python-argparse conditional (eg: it don't drop the
    dependency if building in Wheezy).
  * Allow the unit tests to fail if running in Wheezy (because of the lack of
    the python-argparse build-depends).

 -- Prach Pongpanich <prachpub@gmail.com>  Sun, 02 Jun 2013 07:01:12 +0700

python-heatclient (0.2.2-2) unstable; urgency=low

  * Added missing dependency python-setuptools-git (Closes: #710576), thanks to
    Jeremy Bicha for reporting.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Jun 2013 09:23:44 +0800

python-heatclient (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #705231)

 -- Prach Pongpanich <prachpub@gmail.com>  Thu, 11 Apr 2013 12:03:51 +0700

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           Julien Danjou <acid@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-d2to1 (>= 0.2.11)
Build-Depends-Indep: lsb-release,
                     python-fixtures,
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:0.2),
                     python-mimeparse (>= 0.1.4),
                     python-mock (>= 0.8.0),
                     python-mox,
                     python-pbr (>= 0.5.20),
                     python-prettytable (<< 0.8),
                     python-prettytable (>= 0.5),
                     python-setuptools (>= 0.6.24),
                     python-setuptools-git,
                     python-testscenarios,
                     python-testtools,
                     python-yaml,
                     testrepository (>= 0.0.14)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-heatclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-heatclient.git
Homepage: https://github.com/openstack/python-heatclient

Package: python-heatclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python (>= 2.7),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:0.2),
         python-pkg-resources,
         python-prettytable (<< 0.8),
         python-prettytable (>= 0.5),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${wheezy-added-deps}
Description: client library and CLI for OpenStack Heat
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_configure:
	echo $(VERSION) > heatclient/versioninfo
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -f heatclient/versioninfo
	rm -rf setuptools_git-*-py*.egg/

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-heatclient/usr/heatclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py testr --slowest
endif

override_dh_gencontrol:
	if [ `lsb_release -a | grep Release | awk '{print $$2}'` = "7.0" ] ; then \
		dh_gencontrol -- -T$(CURDIR)/debian/wheezy_deps ; \
	else \
		dh_gencontrol ; \
	fi

## python-heatclient 0.2.8

=== requirements.txt ===
pbr>=0.6,<1.0
argparse
iso8601>=0.1.8
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.6.0
PyYAML>=3.1.0
six>=1.4.1
requests>=1.1

=== debian/changelog ===
python-heatclient (0.2.8-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * debian/patches/fix-tests-ubuntu.patch: Skip failing test.

  [ Corey Bryant ]
  * New upstream release.
  * debian/control: Fix Vcs-Browser and Vcs-Bzr links
  * debain/watch: Completely updated

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 17:41:15 -0500

python-heatclient (0.2.6-0ubuntu1) trusty; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/control:
    - Open icehouse release.
    - Add new BD python-mox3, drop associated patch.

  [ James Page ]
  * d/control: Add missing BD on python-babel.
  * d/*: Wrap and sort.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 10:04:22 -0500

python-heatclient (0.2.4-0ubuntu1) saucy; urgency=low

  * New upstream release. 
  * debian/{control,rules}: Dropped openstack-pkg-tools no longer
    needed.
  * debian/control: Add python-mock as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 14:01:45 -0400

python-heatclient (0.2.3-0ubuntu1) saucy; urgency=low

  * New upstream release. 
  * Enabled testsuite.
  * debian/control:
    - Dropped python-nose.
    - Add python-fixtures.
    - Add python-testscenarios.
    - Add python-testrepository.
    - Add python-testtools.
    - Add python-d2to1.
    - Add python-pbr.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 19 Jul 2013 12:27:58 -0400

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
 Julien Danjou <acid@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 lsb-release,
 python-babel,
 python-coverage,
 python-fixtures,
 python-httplib2,
 python-iso8601,
 python-keystoneclient (>= 1:0.2),
 python-mock,
 python-mox,
 python-mox3,
 python-pbr,
 python-prettytable (<< 0.8),
 python-prettytable (>= 0.5),
 python-setuptools (>= 0.6.24),
 python-setuptools-git,
 python-testscenarios,
 python-testtools,
 python-yaml,
 testrepository
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-heatclient/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-heatclient/icehouse

Package: python-heatclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 python (>= 2.7),
 python-httplib2,
 python-iso8601,
 python-keystoneclient (>= 1:0.2),
 python-pkg-resources,
 python-prettytable (<< 0.8),
 python-prettytable (>= 0.5),
 ${misc:Depends},
 ${python:Depends},
 ${wheezy-added-deps}
Description: client library and CLI for OpenStack Heat
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


%:
	dh $@  --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -f heatclient/versioninfo
	rm -rf setuptools_git-*-py*.egg/

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-heatclient/usr/heatclient

override_dh_auto_test:
	testr init && testr run

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-heatclient/+download https://launchpad.net/python-heatclient/.*/.*/.*/python-heatclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-heatclient/ python-heatclient-(\d.*).tar.gz
http://pypi.python.org/packages/source/p/python-heatclient/python-heatclient-(.*).tar.gz

## python-heatclient 0.2.9

=== debian/changelog ===
python-heatclient (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Review (build-)depends for this release.
  * Calling testr directly (without python setup.py).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 16:13:27 +0800

python-heatclient (0.2.8-1) experimental; urgency=low

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 14:46:19 +0800

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           Julien Danjou <acid@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: lsb-release,
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.7.0),
                     python-mimeparse (>= 0.1.4),
                     python-mock (>= 1.0),
                     python-mox3,
                     python-prettytable (>= 0.7),
                     python-requests (>= 1.1),
                     python-six (>= 1.5.2),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python-yaml,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-heatclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-heatclient.git
Homepage: https://github.com/openstack/python-heatclient

Package: python-heatclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.7.0),
         python-pbr (>= 0.6),
         python-pkg-resources,
         python-prettytable (<< 0.8),
         python-prettytable (>= 0.5),
         python-requests (>= 1.1),
         python-six (>= 1.5.2),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${wheezy-added-deps}
Description: client library and CLI for OpenStack Heat
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_configure:
	echo $(VERSION) > heatclient/versioninfo
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -f heatclient/versioninfo
	rm -rf .testrepository

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-heatclient/usr/heatclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit && \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats && \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_gencontrol:
	if [ `lsb_release -a | grep Release | awk '{print $$2}'` = "7.0" ] ; then \
		dh_gencontrol -- -T$(CURDIR)/debian/wheezy_deps ; \
	else \
		dh_gencontrol ; \
	fi

## python-heatclient 0.2.10

=== debian/changelog ===
python-heatclient (0.2.10-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * debian/control: Add python-httpretty.
  * debian/patches/skip-ubuntu-tests.patch: Skip failing test.

  [ Liam Young ]
  * debian/control: Merged in deps from requirements.txt

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 11:48:17 -0400

python-heatclient (0.2.9-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2014 09:22:13 -0400

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
 Julien Danjou <acid@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 lsb-release,
 python-babel,
 python-coverage,
 python-fixtures,
 python-httplib2,
 python-httpretty,
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.9.0),
 python-mock,
 python-mox,
 python-mox3,
 python-pbr (>= 0.6),
 python-prettytable (<< 0.8),
 python-prettytable (>= 0.5),
 python-requests (>= 1.1),
 python-setuptools (>= 0.6.24),
 python-setuptools-git,
 python-six (>= 1.7.0),
 python-testscenarios,
 python-testtools,
 python-yaml (>= 3.1.0),
 testrepository
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-heatclient/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-heatclient/juno

Package: python-heatclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 python (>= 2.7),
 python-httplib2,
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.9.0),
 python-pkg-resources,
 python-prettytable (<< 0.8),
 python-prettytable (>= 0.5),
 python-requests (>= 1.1),
 python-six (>= 1.7.0),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends},
 ${wheezy-added-deps}
Description: client library and CLI for OpenStack Heat
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.

## python-heatclient 0.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
pbr>=0.6,!=0.7,<1.0
argparse
iso8601>=0.1.9
PrettyTable>=0.7,<0.8
oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
python-keystoneclient>=1.0.0
PyYAML>=3.1.0
requests>=2.2.0,!=2.4.0
six>=1.7.0

=== debian/changelog ===
python-heatclient (0.3.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * debian/control: Adjust dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 10:43:34 -0400

python-heatclient (0.2.12-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Open up for vivid.
  * debian/control: 
    - Update bzr branch 
    - Add python-oslotest as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 09:04:27 -0500

=== debian/control ===
--- 
+++ 
@@ -14,41 +14,42 @@
  python-babel,
  python-coverage,
  python-fixtures,
- python-httplib2,
- python-httpretty,
  python-iso8601 (>= 0.1.9),
- python-keystoneclient (>= 1:0.9.0),
+ python-keystoneclient (>= 1:1.1.0),
  python-mock,
- python-mox,
  python-mox3,
+ python-oslotest (>= 1.2.0),
+ python-sphinx,
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-serialization (>= 1.2.0),
+ python-oslo-utils (>= 1.2.0),
  python-pbr (>= 0.6),
- python-prettytable (<< 0.8),
  python-prettytable (>= 0.5),
  python-requests (>= 1.1),
+ python-requests-mock,
  python-setuptools (>= 0.6.24),
- python-setuptools-git,
- python-six (>= 1.7.0),
+ python-six (>= 1.9.0),
  python-testscenarios,
  python-testtools,
  python-yaml (>= 3.1.0),
  testrepository
-Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-heatclient/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-heatclient/juno
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-heatclient/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-heatclient/kilo
 
 Package: python-heatclient
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
- python (>= 2.7),
- python-httplib2,
+ python-babel (>= 1.3),
  python-iso8601 (>= 0.1.9),
- python-keystoneclient (>= 1:0.9.0),
- python-pkg-resources,
- python-prettytable (<< 0.8),
- python-prettytable (>= 0.5),
- python-requests (>= 1.1),
- python-six (>= 1.7.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-serialization (>= 1.2.0),
+ python-oslo.utils (>= 1.2.0),
+ python-prettytable (>= 0.7),
+ python-requests,
+ python-six (>= 1.9.0),
  python-yaml (>= 3.1.0),
  ${misc:Depends},
  ${python:Depends},

## python-heatclient 0.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
pbr<2.0,>=1.6
argparse
iso8601>=0.1.9
PrettyTable<0.8,>=0.7
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
python-keystoneclient>=1.6.0
python-swiftclient>=2.2.0
PyYAML>=3.1.0
requests>=2.5.2
six>=1.9.0

=== debian/changelog ===
python-heatclient (0.8.0-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 21:07:23 +0000

python-heatclient (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 16:38:15 -0400

python-heatclient (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Mar 2015 01:03:37 +0100

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: lsb-release,
                     python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-mox3,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-tempest-lib,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-babel,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601,
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.2),
                     python3-mox3,
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-tempest-lib,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-heatclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-heatclient.git
Homepage: https://github.com/openstack/python-heatclient

Package: python-heatclient
Architecture: all
Depends: python-babel,
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: client library and CLI for OpenStack Heat - Python 2.7
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 2.7 module.

Package: python3-heatclient
Architecture: all
Depends: python3-babel,
         python3-iso8601,
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         python3-swiftclient,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: client library and CLI for OpenStack Heat - Python 3.x
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-heatclient ; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-heatclient ; \
	done
	mv $(CURDIR)/debian/python-heatclient/usr/bin/heat $(CURDIR)/debian/python-heatclient/usr/bin/python2-heat
	mv $(CURDIR)/debian/python3-heatclient/usr/bin/heat $(CURDIR)/debian/python3-heatclient/usr/bin/python3-heat
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth


override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

## python-heatclient 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3 # BSD
pbr>=1.6 # Apache-2.0
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
iso8601>=0.1.9 # MIT
PrettyTable<0.8,>=0.7 # BSD
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-heatclient (1.1.0-2ubuntu1) xenial; urgency=medium

  * d/p/dont-encode-path-separators.patch: Cherry-pick patch from upstream
    stable/pike branch to stop encoding of path separators as the are
    refused by Apache with 404s (LP: #1717615).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2017 14:08:55 -0400

python-heatclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:01:16 +0000

python-heatclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:14:45 +0200

python-heatclient (1.0.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * d/rules: Use available python versions for tests.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:58:30 +0100

python-heatclient (0.8.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:32:10 +0000

python-heatclient (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run Python 3.5 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:52:21 +0000

python-heatclient (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Mar 2015 01:03:37 +0100

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: lsb-release,
                     python-babel,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-mox3,
                     python-openstackclient (>= 2.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-babel,
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 1.3.1),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601,
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.2),
                     python3-mox3,
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable,
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-heatclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-heatclient.git
Homepage: https://github.com/openstack/python-heatclient

Package: python-heatclient
Architecture: all
Depends: python-babel,
         python-cliff (>= 1.15.0),
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: client library and CLI for OpenStack Heat - Python 2.7
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 2.7 module.

Package: python3-heatclient
Architecture: all
Depends: python3-babel,
         python3-cliff (>= 1.15.0),
         python3-iso8601,
         python3-keystoneclient (>= 1:1.6.0),
         python3-openstackclient (>= 2.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-swiftclient,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: client library and CLI for OpenStack Heat - Python 3.x
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 3.x module.

## python-heatclient 1.2.0

=== debian/changelog ===
python-heatclient (1.2.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 15:22:14 +0000

python-heatclient (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 16:08:56 +0000

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-heatclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-heatclient.git
 Homepage: https://github.com/openstack/python-heatclient

## python-heatclient 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
pbr>=1.6 # Apache-2.0
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
iso8601>=0.1.11 # MIT
osc-lib>=1.0.2 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-heatclient (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Blacklist non-deterministic test (Closes: #835355):
    - ShellEnvironmentTest.test_process_multiple_environments_and_files_tracker
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:10:18 +0200

python-heatclient (1.4.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 10:03:19 +0200

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: lsb-release,
                     python-babel (>= 2.3.4),
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-openstackclient (>= 2.1.0),
                     python-osc-lib (>= 1.0.2),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-prettytable,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601,
                     python3-keystoneauth1 (>= 2.10.0),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 2.0),
                     python3-mox3,
                     python3-openstackclient (>= 2.1.0),
                     python3-osc-lib (>= 1.0.2),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-prettytable,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-tempest (>= 1:12.1.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-heatclient?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-heatclient -b debian/newton
Homepage: https://github.com/openstack/python-heatclient

Package: python-heatclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-iso8601,
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:1.6.0),
         python-osc-lib (>= 1.0.2),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: client library and CLI for OpenStack Heat - Python 2.7
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 2.7 module.

Package: python3-heatclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-iso8601,
         python3-keystoneauth1 (>= 2.10.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-osc-lib (>= 1.0.2),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-swiftclient,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: client library and CLI for OpenStack Heat - Python 3.x
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'heatclient\.tests\.unit\.(?!.*test_template_utils\.ShellEnvironmentTest\.test_process_multiple_environments_and_files_tracker.*)'
endif
